Debian Bug report logs - #702256
ITP: enhanceio -- dynamic block device cache for Linux

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dmitry Smirnov <onlyjob@member.fsf.org>

Date: Mon, 4 Mar 2013 15:21:01 UTC

Owned by: Dmitry Smirnov <onlyjob@member.fsf.org>

Severity: wishlist

Fixed in version enhanceio/0+git20130619-1

Done: Dmitry Smirnov <onlyjob@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#702256; Package wnpp. (Mon, 04 Mar 2013 15:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 04 Mar 2013 15:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: submit@bugs.debian.org
Subject: ITP: enhanceio -- dynamic block device cache for Linux
Date: Tue, 5 Mar 2013 02:17:33 +1100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org

   Package name: enhanceio
        Version: 0+git20130227-1
Upstream Author: STEC, Inc
            URL: https://github.com/stec-inc/EnhanceIO
        License: GPL-2
    Description: dynamic block device cache for Linux
 EnhanceIO is a dynamic block level cache to improve performance of
 rotating hard disk drives by using SSDs as cache devices.
 .
 EnhanceIO derived from Flashcache project but it does not use device
 mapper and can create and delete caches while a source volume is being
 used (i.e. mounted).
 .
 EnhanceIO supports three caching modes: read-only, write-through, and
 write-back and three cache replacement policies: random, FIFO, and LRU.

This source package will produce the following binary packages:

  * enhanceio (provides user space utility `eio_cli`)
  * enhanceio-dkms (DKMS kernel module for Linux Kernel 3.7+)

Package' VCS: http://anonscm.debian.org/gitweb/?p=collab-maint/enhanceio.git

[signature.asc (application/pgp-signature, inline)]

Owner recorded as Dmitry Smirnov <onlyjob@member.fsf.org>. Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Mon, 04 Mar 2013 16:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug#702256; Package wnpp. (Tue, 05 Mar 2013 02:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Liang Guo <bluestonechina@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>. (Tue, 05 Mar 2013 02:42:05 GMT) Full text and rfc822 format available.

Message #12 received at 702256@bugs.debian.org (full text, mbox):

From: Liang Guo <bluestonechina@gmail.com>
To: Dmitry Smirnov <onlyjob@member.fsf.org>, 702256@bugs.debian.org
Subject: Re: Bug#702256: ITP: enhanceio -- dynamic block device cache for Linux
Date: Tue, 5 Mar 2013 10:39:38 +0800
On Mon, Mar 4, 2013 at 11:17 PM, Dmitry Smirnov <onlyjob@member.fsf.org> wrote:
> Package: wnpp
> Severity: wishlist
> X-Debbugs-CC: debian-devel@lists.debian.org
>
>    Package name: enhanceio
>         Version: 0+git20130227-1
> Upstream Author: STEC, Inc
>             URL: https://github.com/stec-inc/EnhanceIO
>         License: GPL-2
>     Description: dynamic block device cache for Linux
>  EnhanceIO is a dynamic block level cache to improve performance of
>  rotating hard disk drives by using SSDs as cache devices.
>  .
>  EnhanceIO derived from Flashcache project but it does not use device
>  mapper and can create and delete caches while a source volume is being
>  used (i.e. mounted).
>  .
>  EnhanceIO supports three caching modes: read-only, write-through, and
>  write-back and three cache replacement policies: random, FIFO, and LRU.
>
> This source package will produce the following binary packages:
>
>   * enhanceio (provides user space utility `eio_cli`)
>   * enhanceio-dkms (DKMS kernel module for Linux Kernel 3.7+)
>
> Package' VCS: http://anonscm.debian.org/gitweb/?p=collab-maint/enhanceio.git
>

JFYI: In linux 3.9-rc1, dm-cache are merged to mainstream kernel,
which can be used
to replace EnahnceIO/flashcache/bcache(IMO).

commit c6b4fcbad044e6fffcc75bba160e720eb8d67d17
Author: Joe Thornber <ejt@redhat.com>
Date:   Fri Mar 1 22:45:51 2013 +0000

    dm: add cache target

    Add a target that allows a fast device such as an SSD to be used as a
    cache for a slower device such as a disk.

    A plug-in architecture was chosen so that the decisions about which data
    to migrate and when are delegated to interchangeable tunable policy
    modules.  The first general purpose module we have developed, called
    "mq" (multiqueue), follows in the next patch.  Other modules are
    under development.

    Signed-off-by: Joe Thornber <ejt@redhat.com>
    Signed-off-by: Heinz Mauelshagen <mauelshagen@redhat.com>
    Signed-off-by: Mike Snitzer <snitzer@redhat.com>
    Signed-off-by: Alasdair G Kergon <agk@redhat.com>

--
Liang Guo
http://bluestone.cublog.cn



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#702256; Package wnpp. (Tue, 05 Mar 2013 05:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 05 Mar 2013 05:45:11 GMT) Full text and rfc822 format available.

Message #17 received at 702256@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: Liang Guo <bluestonechina@gmail.com>
Cc: 702256@bugs.debian.org
Subject: Re: Bug#702256: ITP: enhanceio -- dynamic block device cache for Linux
Date: Tue, 5 Mar 2013 16:42:30 +1100
On Tue, 5 Mar 2013 13:39:38 Liang Guo wrote:
> JFYI: In linux 3.9-rc1, dm-cache are merged to mainstream kernel,

Interesting, thank you.
You're talking about https://github.com/mingzhao/dm-cache
right?

I've seen it but couldn't figure out how to use it...
Nice to have it merged though even if it is not immediately useful...


> which can be used
> to replace EnahnceIO/flashcache/bcache(IMO).

IMHO bcache will never be a viable option due to maintenance overhead of 
custom patched kernel and (more important) because bcache require special 
preparation/formatting of block devices and therefore can't be plugged to 
existing file systems with data.

I see that flashcache matured since 2011 and these days it doesn't cripple 
performance-wise as it used to.

EnhancIO is just fantastic and (hopefully) immediately useful. Package is 
ready and only lacking reasonable testing so you're very welcome to try it. :)


Regards,
 Dmitry Smirnov
 GPG key : 4096R/53968D1B



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug#702256; Package wnpp. (Tue, 05 Mar 2013 07:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Liang Guo <bluestonechina@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>. (Tue, 05 Mar 2013 07:03:03 GMT) Full text and rfc822 format available.

Message #22 received at 702256@bugs.debian.org (full text, mbox):

From: Liang Guo <bluestonechina@gmail.com>
To: Dmitry Smirnov <onlyjob@member.fsf.org>
Cc: 702256@bugs.debian.org
Subject: Re: Bug#702256: ITP: enhanceio -- dynamic block device cache for Linux
Date: Tue, 5 Mar 2013 14:58:08 +0800
On Tue, Mar 5, 2013 at 1:42 PM, Dmitry Smirnov <onlyjob@member.fsf.org> wrote:
> On Tue, 5 Mar 2013 13:39:38 Liang Guo wrote:
>> JFYI: In linux 3.9-rc1, dm-cache are merged to mainstream kernel,
>
> Interesting, thank you.
> You're talking about https://github.com/mingzhao/dm-cache
> right?
>
> I've seen it but couldn't figure out how to use it...
> Nice to have it merged though even if it is not immediately useful...
>
I think the answer is No. mingzhao implemented dm-cache several yeas
ago, it was used to accelerate cd-rom or nfs access by using hard disk.
but had never been merged to upstream kernel.  Several yeas later,
facebook created flashcache based on mingzhao's dm-cache when SSD
becomes popular, then STEC, Inc created enahnceIO based on flashcache.

DM-cache merged to upstream kernel in 3.9-rc1 is not the one wrote by
mingzhao, but from RedHat, I don't know whether it has any relation with
mingzhao's dm-cache. Its documents can be found at [1][2], the original
commit request is [3].



[1] https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/tree/Documentation/device-mapper/cache.txt
[2] https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/tree/Documentation/device-mapper/cache-policies.txt
[3] http://www.mail-archive.com/stable@vger.kernel.org/msg33526.html

STEC guyes has try to merge EnhanceIO to upstream[4], but it had not
been accepted.

[4] http://lwn.net/Articles/536018/

>
>> which can be used
>> to replace EnahnceIO/flashcache/bcache(IMO).
>
> IMHO bcache will never be a viable option due to maintenance overhead of
> custom patched kernel and (more important) because bcache require special
> preparation/formatting of block devices and therefore can't be plugged to
> existing file systems with data.
>
> I see that flashcache matured since 2011 and these days it doesn't cripple
> performance-wise as it used to.
>
> EnhancIO is just fantastic and (hopefully) immediately useful. Package is
> ready and only lacking reasonable testing so you're very welcome to try it. :)
>
>
> Regards,
>  Dmitry Smirnov
>  GPG key : 4096R/53968D1B

I have a brief look at the enhanceIO package, and have some suggestion:

1) Keep EnhanceIO source code in package VCS, this will simplify the
build procedure.

2) debian/patches/* is good cadidate for upstream, please don't keep
them in debian only.

3) README.Debian looks not debian specific, maybe a simple HOWTO
for upstream is better.

Thanks,

--
Liang Guo
http://bluestone.cublog.cn



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#702256; Package wnpp. (Tue, 05 Mar 2013 07:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 05 Mar 2013 07:57:03 GMT) Full text and rfc822 format available.

Message #27 received at 702256@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: Liang Guo <bluestonechina@gmail.com>
Cc: 702256@bugs.debian.org
Subject: Re: Bug#702256: ITP: enhanceio -- dynamic block device cache for Linux
Date: Tue, 5 Mar 2013 18:52:35 +1100
Hi Liang,

Thank you for your feedback.

On Tue, 5 Mar 2013 17:58:08 Liang Guo wrote:
> I have a brief look at the enhanceIO package, and have some suggestion:
> 
> 1) Keep EnhanceIO source code in package VCS, this will simplify the
> build procedure.

Perhaps it is a topic for another discussion. :)
I prefer to keep as is for now.


> 2) debian/patches/* is good cadidate for upstream, please don't keep
> them in debian only.

Already forwarded. :)


> 3) README.Debian looks not debian specific, maybe a simple HOWTO
> for upstream is better.

Good idea but the aim of README.Debian was to provide starting point for our 
users. Some information is borrowed from upstream documents.
I will consider merging my additions with upstream, thank you.

Best wishes,
 Dmitry Smirnov
 GPG key : 4096R/53968D1B

---

"We must respect the other fellow's religion, but only in the sense and
to the extent that we respect his theory that his wife is beautiful and
his children smart.
        -- H. L. Mencken




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug#702256; Package wnpp. (Fri, 03 May 2013 18:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>. (Fri, 03 May 2013 18:48:04 GMT) Full text and rfc822 format available.

Message #32 received at 702256@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 702256@bugs.debian.org
Subject: EnhanceIO redundant with bcache?
Date: Fri, 3 May 2013 19:45:00 +0100
According to <https://lwn.net/Articles/548348/>, bcache is going into
Linux 3.10 (though it now looks like it has missed that).  With
dm-cache and bcache in the kernel, would there still be a need for
this third option?

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#702256; Package wnpp. (Sat, 04 May 2013 01:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 04 May 2013 01:21:04 GMT) Full text and rfc822 format available.

Message #37 received at 702256@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: Ben Hutchings <ben@decadent.org.uk>, 702256@bugs.debian.org
Subject: Re: Bug#702256: EnhanceIO redundant with bcache?
Date: Sat, 4 May 2013 11:17:36 +1000
On Sat, 4 May 2013 04:45:00 Ben Hutchings wrote:
> According to <https://lwn.net/Articles/548348/>, bcache is going into
> Linux 3.10 (though it now looks like it has missed that).  With
> dm-cache and bcache in the kernel, would there still be a need for
> this third option?

Good question. :)

I didn't have a chance to examine dm-cache yet but I tried others.

To me bcache is the most worthless of all because it requires
specially prepared (formatted) data partition. This makes it difficult
(if possible) to attach cache to existing partition with data as one
would need 200% capacity and to perform long data-moving in order to
activate/deactivate caching. I don't know if this fundamental
show-stopper changed since I tried bcache. Besides bcache also
requires modified kernel which is limiting its "field of endeavour"
even further.

We packaged flashcache when there were no other feasible alternatives.
To use flashcache it is necessary to create a virtual device-mapper
device that combines data and cache devices. Assuming that data
partition already have data it is only needed to mount it through
associated flashcache device.

The brilliance of EnhanceIO is that it doesn't need intermediate
device at all and can be attached to any block device on-the-fly even
when device is already mounted. Another super-cool thing is that you
can attach EnhanceIO cache not just to partition but to partitioned
block device to cache all its partitions at once. Just like flashcache
enchanceio modules are built with DKMS and can be used with older
kernels.

So among the above caching solutions I like EnhanceIO the most, for its
elegance and usefulness. IMHO EnhanceIO's unique features qualifies
for packaging at least for now until in-kernel solution(s) catch-up.

Unfortunately all three solutions are not too effective due to
"overcaching" effect, see
 
    http://raid6.com.au/posts/SSD_caching_problems/

Regards,
 Dmitry Smirnov.

---

What can be asserted without proof can be dismissed without proof.
        -- Christopher Hitchens, 2004




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug#702256; Package wnpp. (Sat, 04 May 2013 01:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>. (Sat, 04 May 2013 01:54:09 GMT) Full text and rfc822 format available.

Message #42 received at 702256@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Dmitry Smirnov <onlyjob@member.fsf.org>
Cc: 702256@bugs.debian.org
Subject: Re: Bug#702256: EnhanceIO redundant with bcache?
Date: Sat, 4 May 2013 02:50:16 +0100
On Sat, May 04, 2013 at 11:17:36AM +1000, Dmitry Smirnov wrote:
> On Sat, 4 May 2013 04:45:00 Ben Hutchings wrote:
> > According to <https://lwn.net/Articles/548348/>, bcache is going into
> > Linux 3.10 (though it now looks like it has missed that).  With
> > dm-cache and bcache in the kernel, would there still be a need for
> > this third option?
> 
> Good question. :)
> 
> I didn't have a chance to examine dm-cache yet but I tried others.
> 
> To me bcache is the most worthless of all because it requires
> specially prepared (formatted) data partition. This makes it difficult
> (if possible) to attach cache to existing partition with data as one
> would need 200% capacity and to perform long data-moving in order to
> activate/deactivate caching. I don't know if this fundamental
> show-stopper changed since I tried bcache. Besides bcache also
> requires modified kernel which is limiting its "field of endeavour"
> even further.

But it won't require a modified kernel in future.  That's my point.

> We packaged flashcache when there were no other feasible alternatives.
> To use flashcache it is necessary to create a virtual device-mapper
> device that combines data and cache devices. Assuming that data
> partition already have data it is only needed to mount it through
> associated flashcache device.
> 
> The brilliance of EnhanceIO is that it doesn't need intermediate
> device at all and can be attached to any block device on-the-fly even
> when device is already mounted.
[...]

Bcache can apparently do that as well, but as you noted the backing
device must have been prepared with a bcache superblock.  Apparently
the reasoning for this is to prevent accidental access that bypasses
the cache.  It seems like this could be relaxed if the cache is
configured for write-through behaviour, though.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#702256; Package wnpp. (Sun, 05 May 2013 00:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 05 May 2013 00:21:04 GMT) Full text and rfc822 format available.

Message #47 received at 702256@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 702256@bugs.debian.org
Subject: Re: Bug#702256: EnhanceIO redundant with bcache?
Date: Sun, 5 May 2013 10:18:21 +1000
On Sat, 4 May 2013 11:50:16 Ben Hutchings wrote:
> > To me bcache is the most worthless of all because it requires
> > specially prepared (formatted) data partition. This makes it difficult
> > (if possible) to attach cache to existing partition with data as one
> > would need 200% capacity and to perform long data-moving in order to
> > activate/deactivate caching. I don't know if this fundamental
> > show-stopper changed since I tried bcache. Besides bcache also
> > requires modified kernel which is limiting its "field of endeavour"
> > even further.
> 
> But it won't require a modified kernel in future.  That's my point.
> 

Of course. I understand. But that's for the future...


> > We packaged flashcache when there were no other feasible alternatives.
> > To use flashcache it is necessary to create a virtual device-mapper
> > device that combines data and cache devices. Assuming that data
> > partition already have data it is only needed to mount it through
> > associated flashcache device.
> > 
> > The brilliance of EnhanceIO is that it doesn't need intermediate
> > device at all and can be attached to any block device on-the-fly even
> > when device is already mounted.
> [...]
> 
> Bcache can apparently do that as well, but as you noted the backing
> device must have been prepared with a bcache superblock.  Apparently
> the reasoning for this is to prevent accidental access that bypasses
> the cache.  It seems like this could be relaxed if the cache is
> configured for write-through behaviour, though.
 
Even if bcache were already in 3.8 kernel it would still be worthless
unless it could be possible to attach "write-through" or
"write-around" (AKA "read-only") cache to existing partition with
data. If it can be done then we still need to wait for kernel with
bcache support. Meanwhile EnhanceIO could fill the gap.

I with you on your concerns for the future. I hope eventually we will
have an elegant SSD-caching solution with native in-kernel support.
Especially if it can work effectively under heavy load.

However today EnhanceIO have no alternative yet. At the moment I'm
only concerned about its quality as upstream just broke it to unusable
state. I wonder if it will mature before support for bcache will
arrive...

All the best,
 Dmitry Smirnov
 GPG key : 4096R/53968D1B

---

It is a fine thing to be honest, but it is also very important to be right.
        -- Winston Churchill



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 10 Jul 2013 20:11:04 GMT) Full text and rfc822 format available.

Reply sent to Dmitry Smirnov <onlyjob@debian.org>:
You have taken responsibility. (Fri, 09 Aug 2013 23:04:02 GMT) Full text and rfc822 format available.

Notification sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug acknowledged by developer. (Fri, 09 Aug 2013 23:04:02 GMT) Full text and rfc822 format available.

Message #54 received at 702256-close@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@debian.org>
To: 702256-close@bugs.debian.org
Subject: Bug#702256: fixed in enhanceio 0+git20130619-1
Date: Fri, 09 Aug 2013 23:00:07 +0000
Source: enhanceio
Source-Version: 0+git20130619-1

We believe that the bug you reported is fixed in the latest version of
enhanceio, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 702256@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dmitry Smirnov <onlyjob@debian.org> (supplier of updated enhanceio package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 10 Jul 2013 22:39:39 +1000
Source: enhanceio
Binary: enhanceio enhanceio-dkms
Architecture: source all
Version: 0+git20130619-1
Distribution: experimental
Urgency: low
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Changed-By: Dmitry Smirnov <onlyjob@debian.org>
Description: 
 enhanceio  - dynamic block device cache for Linux (user space utility)
 enhanceio-dkms - dynamic block device cache for Linux (DKMS version)
Closes: 702256
Changes: 
 enhanceio (0+git20130619-1) experimental; urgency=low
 .
   * Initial release (Closes: #702256).
Checksums-Sha1: 
 0c9507c7d0917b1da895d987fc0cde98ee55fb3a 1973 enhanceio_0+git20130619-1.dsc
 bb978c3c2a9a73b96efe5cb2392766bfc78ef0a1 84780 enhanceio_0+git20130619.orig.tar.xz
 ece7f3008ee1e459c5323b8aaace97e028027d47 4952 enhanceio_0+git20130619-1.debian.tar.xz
 e91db8a3e9de8886ec22ca158ed0c738b8e4f519 16562 enhanceio_0+git20130619-1_all.deb
 bc135ccc1f6c31576ef00588bf3083e430d698e0 71622 enhanceio-dkms_0+git20130619-1_all.deb
Checksums-Sha256: 
 886e6764cc4e80e457ebd341f4f7731e303e0962528ccb3062300db727edcdc1 1973 enhanceio_0+git20130619-1.dsc
 bf611e18d6507de6e1e12f7776c991391a6eed281404f6ea860ee07e51ddba2f 84780 enhanceio_0+git20130619.orig.tar.xz
 5ccb7ad58376d06890029fde16b49505710a5541abdab7288412386c27e81fee 4952 enhanceio_0+git20130619-1.debian.tar.xz
 031c38e9973dcc48bf26a3aa1de3fa1c8096b51cac32a7eb9ab8e054f2bfd20a 16562 enhanceio_0+git20130619-1_all.deb
 d615d5960e1e38b0a5fb8ab05b60c06df0a4d3c1a739ff8a90267b919871f736 71622 enhanceio-dkms_0+git20130619-1_all.deb
Files: 
 eb1686170aeb47ba34ec91cf157fcc6d 1973 kernel optional enhanceio_0+git20130619-1.dsc
 a57851420fcb0f59d56c885452690169 84780 kernel optional enhanceio_0+git20130619.orig.tar.xz
 e56104ea2ac3d8bde9b5dc563e8de466 4952 kernel optional enhanceio_0+git20130619-1.debian.tar.xz
 535287c8a51d9f848d7fa255c24b39f1 16562 utils optional enhanceio_0+git20130619-1_all.deb
 274cc5a9bf4b5faf54cb90054581c9a3 71622 kernel optional enhanceio-dkms_0+git20130619-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJR3VanAAoJEFK2u9lTlo0boawP/jhTO3Fjqlng+CmSP2mPlrlG
F0jGNpaVYkH1kZiZOi6hT3MmXmyZ5a+J0nN+E8OWmOHp05whiOEwz3aOWvumzsqL
lLSuXx5K4l0EaWOLxSIB2sKtmhfrDVglgdHUF9WD8YmqfpdcxYzaJT8JYDl/oAhD
SnQC9wrpByPVNWX+6nhFIaAjqoVr2W3sItexa/vOm+3LJURrcb6CDp1YxWD5dGlL
/0600wNyFivrqWAW6KYLizsaUJ64eZ888C4BptlgzX/UIKrI7NM/ZjFYv1YGA18z
dofXHdVWRTgFYa6ftiQb38S0fa0YvAiqZvi6IqiOgrSgP5btwuGdFaL8IRFZ/JS4
bF43Lto4J2RyE9rm8W1nb5EEjpjJS34456O6QBV/OwVRRroI/uzx8j9vzVk762OR
GhreP6SqgiNNxELkn+hSt1/THFzlITRmBKIAEjD1IVy2/7KFODiQsNejjLyIlMvR
fFeNe0c6AFd28vNavMZ4u9HZ/t+7dnnvQCGYip/cljjYIBX1BelWEroHQSE2SdtZ
8M7UqwuEC9xmrvCF2Eivo+Ay2NiQgcue4h0erNUCDhtmKYOxJ+vqgVpNqT1Dwva4
b1gFYGqQJAgDe/bcTqu5hNtR8bY+yGx887l26XYZ/m1T9U3Q04wxK2HzLVj4/Uof
W9ANN0aDkH1fOkaDshm8
=nbBZ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 07 Sep 2013 07:32:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:14:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.